export const cityJson = [{
		value: undefined,
		label: '全市'
	},{
		value: '420102',
		label: '江岸区'
	},
	{
		value: '420103',
		label: '江汉区'
	},
	{
		value: '420104',
		label: '硚口区'
	},
	{
		value: '420105',
		label: '汉阳区'
	},
	{
		value: '420106',
		label: '武昌区'
	},
	{
		value: '420107',
		label: '青山区'
	},
	{
		value: '420111',
		label: '洪山区'
	},
	{
		value: '420112',
		label: '东西湖区'
	},
	{
		value: '420113',
		label: '经济技术开发区(汉南区)'
	},
	{
		value: '420114',
		label: '蔡甸区'
	},
	{
		value: '420115',
		label: '江夏区'
	},
	{
		value: '420116',
		label: '黄陂区'
	},
	{
		value: '420117',
		label: '新洲区'
	},
	{
		value: '420111001',
		label: '东湖新技术开发区'
	},
	{
		value: '420116001',
		label: '长江新区'
	},
	// {
	// 	value: '420113001',
	// 	label: '经济技术开发区'
	// },
	{
		value: '420111002',
		label: '东湖生态旅游风景区'
	}
]

function flattenJsonData(data) {
	let result = []
	data.forEach((item) => {
		result.push({ value: item.value, label: item.label })
		if (item.children) {
			result = result.concat(flattenJsonData(item.children))
		}
	})

	return result
}
export const cityJsonOneDim = flattenJsonData(cityJson)
export const getCityNameByCode = (code) => {
	return cityJsonOneDim.find((item) => item.value == code)?.label
}


export const orderTypeJson = [{
		label: '户政业务',
		value: '100000',
		children: [{
				label: '户口登记',
				value: '100100',
				children: [{
						label: '出生登记',
						value: '100101'
					},
					{
						label: '收养登记',
						value: '100102'
					},
					{
						label: '恢复户口登记',
						value: '100103'
					},
					{
						label: '社区公共户登记',
						value: '100104'
					}
				]
			},
			{
				label: '户口注销',
				value: '100200',
				children: [{
						label: '死亡注销',
						value: '100201'
					},
					{
						label: '出国境注销',
						value: '100202'
					},
					{
						label: '其他注销',
						value: '100203'
					}
				]
			},
			{
				label: '户口迁移',
				value: '100300',
				children: [{
						label: '市内迁移',
						value: '100301'
					},
					{
						label: '投靠迁移',
						value: '100302'
					},
					{
						label: '购房',
						value: '100303'
					},
					{
						label: '大学生落户',
						value: '100304'
					},
					{
						label: '人才落户',
						value: '100305'
					},
					{
						label: '积分入户',
						value: '100306'
					},
					{
						label: '其他',
						value: '100307'
					}
				]
			},
			{
				label: '户口项目变更更正',
				value: '100400',
				children: [{
						label: '姓名',
						value: '100401'
					},
					{
						label: '出生日期',
						value: '100402'
					},
					{
						label: '民族',
						value: '100403'
					},
					{
						label: '其他',
						value: '100404'
					}
				]
			},
			{
				label: '身份证',
				value: '100500',
				children: [{
						label: '证件办理',
						value: '100501'
					},
					{
						label: '临时身份证',
						value: '100502'
					},
					{
						label: '办理进度',
						value: '100503'
					},
					{
						label: '电子证照更新',
						value: '100504'
					}
				]
			},
			{
				label: '居住证',
				value: '100600',
				children: [{
						label: '证件办理',
						value: '100601'
					},
					{
						label: '进度查询',
						value: '100602'
					},
					{
						label: '电子证照更新',
						value: '100603'
					}
				]
			},
			{
				label: '开具户籍证明',
				value: '100700',
				children: [{
						label: '亲属关系证明',
						value: '100701'
					},
					{
						label: '变更更正证明',
						value: '100702'
					},
					{
						label: '注销证明',
						value: '100703'
					},
					{
						label: '其他证明',
						value: '100704'
					},
					{
						label: '户口簿打印',
						value: '100705'
					}
				]
			},
			{
				label: '个人信息查询',
				value: '100800',
				children: [{
						label: '律师查询',
						value: '100801'
					},
					{
						label: '法院查询',
						value: '100802'
					},
					{
						label: '个人历史档案查询',
						value: '100803'
					},
					{
						label: '其他查询',
						value: '100804'
					}
				]
			},
			{
				label: '自助机',
				value: '100900',
				children: [{
						label: '机器故障',
						value: '100901'
					},
					{
						label: '收退费',
						value: '100902'
					},
					{
						label: '其他',
						value: '100903'
					}
				]
			},
			{
				label: '其他',
				value: '1001000',
				children: [{
						label: '政策制定建议',
						value: '1001001'
					},
					{
						label: '管辖争议',
						value: '1001002'
					},
					{
						label: '服务态度',
						value: '1001003'
					},
					{
						label: '网络故障',
						value: '1001004'
					}
				]
			}
		]
	},
	{
		label: '出入境业务',
		value: '200000',
		children: [{
				label: '普通护照',
				value: '200100',
				children: [{
						label: '签发',
						value: '200101'
					},
					{
						label: '换发',
						value: '200102'
					},
					{
						label: '加注',
						value: '200103'
					},
					{
						label: '补发',
						value: '200104'
					}
				]
			},
			{
				label: '港澳通行证',
				value: '200200',
				children: [{
						label: '普通办证',
						value: '200201'
					},
					{
						label: '签注签发',
						value: '200202'
					},
					{
						label: '换发',
						value: '200203'
					}
				]
			},
			{
				label: '往来台湾通行证',
				value: '200300',
				children: [{
						label: '普通办证',
						value: '200301'
					},
					{
						label: '加签注',
						value: '200302'
					},
					{
						label: '补发',
						value: '200303'
					},
					{
						label: '换补发台胞证',
						value: '200304'
					}
				]
			},
			{
				label: '企业事项',
				value: '200400',
				children: [{
						label: '涉外企业备案',
						value: '200401'
					},
					{
						label: '往来港澳商务单位登记备案',
						value: '200402'
					},
					{
						label: '加签注',
						value: '200403'
					},
					{
						label: '多次往来',
						value: '200404'
					}
				]
			},
			{
				label: '外国人居留许可',
				value: '200500',
				children: [{
						label: '外国人签证延期',
						value: '200501'
					},
					{
						label: '换发',
						value: '200502'
					},
					{
						label: '补发',
						value: '200503'
					}
				]
			},
			{
				label: '外国人居留许可',
				value: '200600'
			}
		]
	},
	{
		label: '内保业务',
		value: '300000',
		children: [{
				label: '金融机构营业场所和金库安全防范设施',
				value: '300100'
			},
			{
				label: '保安服务公司事项',
				value: '300200'
			}
		]
	},
	{
		label: '网安业务',
		value: '400000',
		children: [{
				label: '互联网上网服务营业场所',
				value: '400100'
			},
			{
				label: '信息安全等级保护',
				value: '400200'
			},
			{
				label: '国际联网备案',
				value: '400300'
			}
		]
	},
	{
		label: '禁毒业务',
		value: '500000',
		children: [{
				label: '易制毒化学品购买许可',
				value: '500100'
			},
			{
				label: '易制毒化学品运输许可',
				value: '500200'
			},
			{
				label: '禁毒宣传',
				value: '500300'
			}
		]
	},
	{
		label: '交管业务',
		value: '600000',
		children: [{
				label: '机动车业务',
				value: '600100',
				children: [{
						label: '新车上牌',
						value: '600101'
					},
					{
						label: '二手车过户',
						value: '600102'
					},
					{
						label: '车辆检验',
						value: '600103'
					},
					{
						label: '核发标志',
						value: '600104'
					},
					{
						label: '车辆补换牌证',
						value: '600105'
					},
					{
						label: '车辆转出转入',
						value: '600106'
					},
					{
						label: '变更机动车信息',
						value: '600107'
					},
					{
						label: '车辆改装变更',
						value: '600108'
					},
					{
						label: '换发号牌',
						value: '600109'
					},
					{
						label: '抵押',
						value: '6001010'
					},
					{
						label: '解抵押',
						value: '6001011'
					},
					{
						label: '核发临牌',
						value: '6001012'
					},
					{
						label: '报废',
						value: '6001013'
					},
					{
						label: '注销',
						value: '6001014'
					},
					{
						label: '出口',
						value: '6001015'
					},
					{
						label: '校车标牌',
						value: '6001016'
					},
					{
						label: '临时入境机动车业务',
						value: '6001017'
					},
					{
						label: '失窃',
						value: '6001018'
					},
					{
						label: '被盗',
						value: '6001018'
					}
				]
			},
			{
				label: '驾驶证业务',
				value: '600200',
				children: [{
						label: '初领',
						value: '600201'
					},
					{
						label: '增驾',
						value: '600202'
					},
					{
						label: '变更C5',
						value: '600203'
					},
					{
						label: '补换领驾驶证',
						value: '600204'
					},
					{
						label: '审验',
						value: '600205'
					},
					{
						label: '满分学习',
						value: '600206'
					},
					{
						label: '提交身份证条件证明',
						value: '600207'
					},
					{
						label: '体检',
						value: '600208'
					},
					{
						label: '驾驶证信息变更',
						value: '600209'
					},
					{
						label: '驾驶证延期',
						value: '6002010'
					},
					{
						label: '驾驶证注销',
						value: '6002011'
					},
					{
						label: '驾驶证恢复',
						value: '6002012'
					},
					{
						label: '校车驾驶资格申请',
						value: '6002013'
					},
					{
						label: '临时驾驶许可申请',
						value: '6002014'
					},
					{
						label: '考试事项',
						value: '6002015'
					}
				]
			},
			{
				label: '事故业务',
				value: '600300'
			},
			{
				label: '违法业务',
				value: '600400'
			},
			{
				label: '其他业务',
				value: '600500'
			}
		]
	},
	{
		label: '治安',
		value: '700000',
		children: [{
				label: '爆破作业项目',
				value: '700100'
			},
			{
				label: '大型活动许可',
				value: '700200'
			},
			{
				label: '放射性物品道路运输许可',
				value: '700300'
			},
			{
				label: '公章刻制',
				value: '700400'
			},
			{
				label: '管制刀具',
				value: '700500'
			},
			{
				label: '弩制造许可',
				value: '700600'
			},
			{
				label: '举行集会游行示威许可',
				value: '700700'
			},
			{
				label: '人员备案',
				value: '700800'
			},
			{
				label: '剧毒',
				value: '700900'
			},
			{
				label: '易制爆危险化学品事项',
				value: '7001000'
			},
			{
				label: '旅馆业事项',
				value: '7001100'
			},
			{
				label: '民爆物品事项',
				value: '7001200'
			},
			{
				label: '民用枪支事项',
				value: '7001300'
			},
			{
				label: '犬类准养证核发',
				value: '7001400'
			},
			{
				label: '烟花爆竹燃放',
				value: '7001500'
			},
			{
				label: '娱乐场所备案',
				value: '7001600'
			},
			{
				label: '烟花爆竹事项',
				value: '7001700'
			},
			{
				label: '射击竞技体育运动备案',
				value: '7001800'
			},
			{
				label: '许可',
				value: '7001900'
			}
		]
	}
]
export const typeJsonOneDim = flattenJsonData(orderTypeJson)
export const getTypeNameByCode = (code) => {
	return typeJsonOneDim.find((item) => item.value == code)?.label
}