import AMapLoader from '@amap/amap-jsapi-loader';
import $config from "@/config/index.js"
import gcoord from 'gcoord';

export const getCoord = (parmas) => {
	return new Promise((reslove, reject) => {
		const { name, code, type, longitude, latitude } = parmas;
		console.log("name, code, type = ", longitude, latitude)
		switch (type) {
			case 'gaode':
				// const [gcjLat, gcjLon] = wgs84ToGcj02(latitude, longitude);
				// console.log("[gcjLat, gcjLon] = ", gcjLat, gcjLon)

				const convertedCoords = gcoord.transform(
					[longitude, latitude],
					gcoord.WGS84, // 输入坐标系
					gcoord.GCJ02 // 输出坐标系
				);
				console.log('convertedCoords = ', convertedCoords)
				const data = {
					lng: convertedCoords[0],
					lat: convertedCoords[1]
				}
				reslove(data)

		}
	})
}



function wgs84ToGcj02(lat, lon) {
	const a = 6378245.0;
	const ee = 0.00669342162296594323;

	function transform(lat, lon) {
		let dLat = transformLat(lon - 105.0, lat - 35.0);
		let dLon = transformLon(lon - 105.0, lat - 35.0);
		const radLat = lat / 180.0 * Math.PI;
		let magic = Math.sin(radLat);
		magic = 1 - ee * magic * magic;
		const sqrtMagic = Math.sqrt(magic);
		dLat = (dLat * 180.0) / ((a * (1 - ee)) / (magic * sqrtMagic) * Math.PI);
		dLon = (dLon * 180.0) / (a / sqrtMagic * Math.cos(radLat) * Math.PI);
		return [lat + dLat, lon + dLon];
	}

	function transformLat(x, y) {
		let ret = -100.0 + 2.0 * x + 3.0 * y + 0.2 * y * y + 0.1 * x * y;
		ret += (20.0 * Math.sin(6.0 * x * Math.PI) + 20.0 * Math.sin(2.0 * x * Math.PI)) * 2.0 / 3.0;
		ret += (20.0 * Math.sin(y * Math.PI) + 40.0 * Math.sin(y / 3.0 * Math.PI)) * 2.0 / 3.0;
		ret += (160.0 * Math.sin(y / 12.0 * Math.PI) + 320 * Math.sin(y * Math.PI / 30.0)) * 2.0 / 3.0;
		return ret;
	}

	function transformLon(x, y) {
		let ret = 300.0 + x + 2.0 * y + 0.1 * x * x + 0.1 * x * y + 0.1 * Math.sqrt(Math.abs(x));
		ret += (20.0 * Math.sin(6.0 * x * Math.PI) + 20.0 * Math.sin(2.0 * x * Math.PI)) * 2.0 / 3.0;
		ret += (20.0 * Math.sin(x * Math.PI) + 40.0 * Math.sin(x / 3.0 * Math.PI)) * 2.0 / 3.0;
		ret += (150.0 * Math.sin(x / 12.0 * Math.PI) + 300.0 * Math.sin(x / 30.0 * Math.PI)) * 2.0 / 3.0;
		return ret;
	}

	if (lon < 72.004 || lon > 137.8347 || lat < 0.8293 || lat > 55.8271) {
		return [lat, lon]; // 不在国内，不转换
	}

	return transform(lat, lon);
}